/*
	ef_AutoDismissRenderStatus v1.0
	
	Dismisses render status upon render completion.
	
	Use at own risk.
	
	Requester: Michael Burman aka Cageman (TNX!)
	Author: Dan Dulberger, evenflcw@yahoo.com, July 2011
	
*/
@version 2.9
@warnings
@script master
@name "Automatically Dismiss Render Status"

@define LWEVNT_COMMAND      1
@define LWEVNT_RENDER_DONE  4
@define LWEVNT_NOTIFY_RENDER_FRAME_COMPLETE 0x110

isMonitoring=0;

create
{
	//AutoConfirm(0); //clean slate
}

destroy
{
	//AutoConfirm(0); //shouldnt be necessary but shouldnt hurt either
}

flags
{
    return(LWMASTF_LAYOUT, LWMASTF_RECEIVE_NOTIFICATIONS);
}

process: event, command
{
		switch(event) {
			case LWEVNT_COMMAND: 
				if(strleft(command,11)=="RenderFrame" || strleft(command,14)=="RenderSelected") {
					isMonitoring = 1;
					//info("Activate");
				}
				break;
				
			case LWEVNT_RENDER_DONE:
				if(isMonitoring && runningUnder()==LAYOUT) { 
					AutoConfirm(0);
					isMonitoring=0;
					//info("DeActivate");
				}
				break;
				
			case LWEVNT_NOTIFY_RENDER_FRAME_COMPLETE: 
				if(isMonitoring && runningUnder()==LAYOUT) {
					AutoConfirm(1);
				}
				break;
		}
}

load: what,io
{
    if(what == SCENEMODE)   // processing an ASCII scene file
    {
    }
}

save: what,io
{
    if(what == SCENEMODE)
    {
    }
}

options
{
}